path: /build/build/i3-x11-wm-4.23.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc -test prefix" emerge x11-wm/i3 -pv -t && \
    USE="-doc -test prefix" emerge -j ${JOBS} --nodeps x11-wm/i3
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/i3 && luet-portage --dir /pkgdir/i3
    x11-wm/i3 && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:535998dd2121ea58b7f178734a4aefdc086b32194e66552dcf791906fa94b99d
  package:
    name: i3
    version: "4.23"
    category: x11-wm
    use_flags:
    - -doc
    - -test
    - prefix
    requires:
    - name: i3lock
      version: '>=0'
      category: x11-misc
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: A tiling window manager for X11
    uri:
    - https://i3wm.org/
    license: BSD
    buildtimestamp: 2023-12-05 02:44:30.375425826 +0000 UTC m=+323.044438992
    labels:
      BDEPEND: virtual/pkgconfig >=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2 test?
        ( !prefix? ( x11-base/xorg-server[xvfb] ) x11-apps/xhost )
      DEPEND: dev-libs/libev dev-libs/libpcre dev-libs/yajl x11-libs/cairo[X,xcb(+)]
        x11-libs/libxcb[xkb] x11-libs/libxkbcommon[X] x11-libs/pango[X] x11-libs/startup-notification
        x11-libs/xcb-util x11-libs/xcb-util-cursor x11-libs/xcb-util-keysyms x11-libs/xcb-util-wm
        x11-libs/xcb-util-xrm x11-misc/xkeyboard-config test? ( dev-perl/AnyEvent
        dev-perl/ExtUtils-PkgConfig dev-perl/Inline dev-perl/Inline-C dev-perl/IPC-Run
        dev-perl/local-lib dev-perl/X11-XCB virtual/perl-Test-Simple x11-base/xorg-server[xephyr]
        x11-misc/xvfb-run ) doc? ( app-text/asciidoc app-text/xmlto dev-lang/perl
        )
      IUSE: doc test test
      RDEPEND: dev-libs/libev dev-libs/libpcre dev-libs/yajl x11-libs/cairo[X,xcb(+)]
        x11-libs/libxcb[xkb] x11-libs/libxkbcommon[X] x11-libs/pango[X] x11-libs/startup-notification
        x11-libs/xcb-util x11-libs/xcb-util-cursor x11-libs/xcb-util-keysyms x11-libs/xcb-util-wm
        x11-libs/xcb-util-xrm x11-misc/xkeyboard-config dev-lang/perl dev-perl/AnyEvent-I3
        dev-perl/JSON-XS
      emerge.packages: x11-wm/i3
      kit: desktop-kit
      original.package.name: x11-wm/i3
      original.package.slot: "0"
      original.package.version: "4.23"
    treedir: /build/packages
  package_dir: /pkgdir/i3
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 40da33a4b73a94f0f02ed57786cd6cdf00fd8cac0afbc8a479cd639e0e2e75d9
compressiontype: zstd
files:
- etc/X11/Sessions/i3wm
- etc/i3/config
- etc/i3/config.keycodes
- usr/bin/i3
- usr/bin/i3-config-wizard
- usr/bin/i3-dmenu-desktop
- usr/bin/i3-dump-log
- usr/bin/i3-input
- usr/bin/i3-migrate-config-to-v4
- usr/bin/i3-msg
- usr/bin/i3-nagbar
- usr/bin/i3-save-tree
- usr/bin/i3-sensible-editor
- usr/bin/i3-sensible-pager
- usr/bin/i3-sensible-terminal
- usr/bin/i3-with-shmlog
- usr/bin/i3bar
- usr/include/i3/ipc.h
- usr/share/applications/i3.desktop
- usr/share/doc/i3-4.23/README.md.bz2
- usr/share/doc/i3-4.23/bigpicture.png
- usr/share/doc/i3-4.23/gaps1920.png
- usr/share/doc/i3-4.23/i3-sync-working.png
- usr/share/doc/i3-4.23/i3-sync.png
- usr/share/doc/i3-4.23/keyboard-layer1.png
- usr/share/doc/i3-4.23/keyboard-layer2.png
- usr/share/doc/i3-4.23/layout-saving-1.png
- usr/share/doc/i3-4.23/logo-30.png
- usr/share/doc/i3-4.23/modes.png
- usr/share/doc/i3-4.23/refcard.html
- usr/share/doc/i3-4.23/refcard_style.css
- usr/share/doc/i3-4.23/single_terminal.png
- usr/share/doc/i3-4.23/snapping.png
- usr/share/doc/i3-4.23/tree-layout1.png
- usr/share/doc/i3-4.23/tree-layout2.png
- usr/share/doc/i3-4.23/tree-shot1.png
- usr/share/doc/i3-4.23/tree-shot2.png
- usr/share/doc/i3-4.23/tree-shot3.png
- usr/share/doc/i3-4.23/tree-shot4.png
- usr/share/doc/i3-4.23/two_columns.png
- usr/share/doc/i3-4.23/two_terminals.png
- usr/share/doc/i3-4.23/wsbar.png
- usr/share/xsessions/i3-with-shmlog.desktop
- usr/share/xsessions/i3.desktop
- var/db/pkg/x11-wm/i3-4.23/BDEPEND
- var/db/pkg/x11-wm/i3-4.23/BUILD_TIME
- var/db/pkg/x11-wm/i3-4.23/CATEGORY
- var/db/pkg/x11-wm/i3-4.23/CBUILD
- var/db/pkg/x11-wm/i3-4.23/CFLAGS
- var/db/pkg/x11-wm/i3-4.23/CHOST
- var/db/pkg/x11-wm/i3-4.23/CONTENTS
- var/db/pkg/x11-wm/i3-4.23/COUNTER
- var/db/pkg/x11-wm/i3-4.23/CXXFLAGS
- var/db/pkg/x11-wm/i3-4.23/DEFINED_PHASES
- var/db/pkg/x11-wm/i3-4.23/DEPEND
- var/db/pkg/x11-wm/i3-4.23/DESCRIPTION
- var/db/pkg/x11-wm/i3-4.23/EAPI
- var/db/pkg/x11-wm/i3-4.23/FEATURES
- var/db/pkg/x11-wm/i3-4.23/HOMEPAGE
- var/db/pkg/x11-wm/i3-4.23/INHERITED
- var/db/pkg/x11-wm/i3-4.23/IUSE
- var/db/pkg/x11-wm/i3-4.23/IUSE_EFFECTIVE
- var/db/pkg/x11-wm/i3-4.23/KEYWORDS
- var/db/pkg/x11-wm/i3-4.23/LDFLAGS
- var/db/pkg/x11-wm/i3-4.23/LICENSE
- var/db/pkg/x11-wm/i3-4.23/NEEDED
- var/db/pkg/x11-wm/i3-4.23/PF
- var/db/pkg/x11-wm/i3-4.23/RDEPEND
- var/db/pkg/x11-wm/i3-4.23/REQUIRES
- var/db/pkg/x11-wm/i3-4.23/RESTRICT
- var/db/pkg/x11-wm/i3-4.23/SIZE
- var/db/pkg/x11-wm/i3-4.23/SLOT
- var/db/pkg/x11-wm/i3-4.23/USE
- var/db/pkg/x11-wm/i3-4.23/environment.bz2
- var/db/pkg/x11-wm/i3-4.23/i3-4.23.ebuild
- var/db/pkg/x11-wm/i3-4.23/repository
package_cacheimage: ""
runtime:
  name: i3
  version: "4.23"
  category: x11-wm
  use_flags:
  - -doc
  - -test
  - prefix
  requires:
  - name: libev
    version: '>=0'
    category: dev-libs
  - name: libpcre
    version: '>=0'
    category: dev-libs-3
  - name: yajl
    version: '>=0'
    category: dev-libs
  - name: AnyEvent-I3
    version: '>=0'
    category: dev-perl
  - name: cairo
    version: '>=0'
    category: x11-libs
  - name: libxkbcommon
    version: '>=0'
    category: x11-libs
  - name: pango
    version: '>=0'
    category: x11-libs
  - name: startup-notification
    version: '>=0'
    category: x11-libs
  - name: xcb-util-cursor
    version: '>=0'
    category: x11-libs
  - name: xcb-util-keysyms
    version: '>=0'
    category: x11-libs
  - name: xcb-util-wm
    version: '>=0'
    category: x11-libs
  - name: xcb-util-xrm
    version: '>=0'
    category: x11-libs
  - name: xkeyboard-config
    version: '>=0'
    category: x11-misc
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: A tiling window manager for X11
  uri:
  - https://i3wm.org/
  license: BSD
  labels:
    BDEPEND: virtual/pkgconfig >=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2 test?
      ( !prefix? ( x11-base/xorg-server[xvfb] ) x11-apps/xhost )
    DEPEND: dev-libs/libev dev-libs/libpcre dev-libs/yajl x11-libs/cairo[X,xcb(+)]
      x11-libs/libxcb[xkb] x11-libs/libxkbcommon[X] x11-libs/pango[X] x11-libs/startup-notification
      x11-libs/xcb-util x11-libs/xcb-util-cursor x11-libs/xcb-util-keysyms x11-libs/xcb-util-wm
      x11-libs/xcb-util-xrm x11-misc/xkeyboard-config test? ( dev-perl/AnyEvent dev-perl/ExtUtils-PkgConfig
      dev-perl/Inline dev-perl/Inline-C dev-perl/IPC-Run dev-perl/local-lib dev-perl/X11-XCB
      virtual/perl-Test-Simple x11-base/xorg-server[xephyr] x11-misc/xvfb-run ) doc?
      ( app-text/asciidoc app-text/xmlto dev-lang/perl )
    IUSE: doc test test
    RDEPEND: dev-libs/libev dev-libs/libpcre dev-libs/yajl x11-libs/cairo[X,xcb(+)]
      x11-libs/libxcb[xkb] x11-libs/libxkbcommon[X] x11-libs/pango[X] x11-libs/startup-notification
      x11-libs/xcb-util x11-libs/xcb-util-cursor x11-libs/xcb-util-keysyms x11-libs/xcb-util-wm
      x11-libs/xcb-util-xrm x11-misc/xkeyboard-config dev-lang/perl dev-perl/AnyEvent-I3
      dev-perl/JSON-XS
    emerge.packages: x11-wm/i3
    kit: desktop-kit
    original.package.name: x11-wm/i3
    original.package.slot: "0"
    original.package.version: "4.23"
